package com.xjrsoft.module.liteflow.node;

import cn.hutool.core.convert.Convert;
import com.xjrsoft.module.oa.service.IFileReceiveService;
import com.yomahub.liteflow.core.NodeComponent;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * 收文流程结束处理
 */
@Component("wf_oa_pull_node")
public class WfOaPullNode extends NodeComponent {
    @Autowired
    private IFileReceiveService fileReceiveService;

    @Override
    public void process() throws Exception {
        // 获取表单中数据编号
        Map<String, Object> params = this.getFirstContextBean();
        Object value = util.getFormDatKey(params,"id");
        Long formId = Convert.toLong(value);
        if (formId != null) {
            // 数据处理
            fileReceiveService.pullDataCache(formId);
        }
    }
}
